For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetPhoneNumberReports
        • POSTAttachPhoneNumber
        • POSTBindPhoneNumberToApplication
        • POSTDeactivatePhoneNumber
        • POSTSetPhoneNumberInfo
        • POSTGetPhoneNumbers
        • POSTIsAccountPhoneNumber
        • POSTGetPhoneNumbersAsync
        • POSTGetNewPhoneNumbers
        • POSTGetPhoneNumberCategories
        • POSTGetPhoneNumberCountryStates
        • POSTGetPhoneNumberRegions
        • POSTGetActualPhoneNumberRegion
        • POSTGetAccountPhoneNumberCountries
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePhone Numbers

GetPhoneNumbers

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetPhoneNumbers
POST
/platform_api/GetPhoneNumbers
$curl -X POST https://api.voximplant.com/platform_api/GetPhoneNumbers \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "phone_id": 1,
5 "phone_number": "74957893798",
6 "phone_price": 0.45,
7 "phone_country_code": "RU",
8 "phone_next_renewal": "2013-11-10",
9 "phone_purchase_date": "2013-10-10 04:02:47",
10 "deactivated": false,
11 "canceled": false,
12 "auto_charge": true,
13 "category_name": "GEOGRAPHIC",
14 "required_verification": "RU",
15 "verification_status": "REQUIRED",
16 "unverified_hold_until": "2013-10-24",
17 "can_be_used": false,
18 "is_sms_supported": true,
19 "is_sms_enabled": false,
20 "emergency_calls_to_be_enabled": true,
21 "emergency_calls_enabled": true,
22 "subscription_id": 12,
23 "modified": "2021-10-10 11:25:02"
24 },
25 {
26 "phone_id": 3,
27 "phone_number": "12055645250",
28 "phone_price": 0.4,
29 "phone_country_code": "US",
30 "phone_next_renewal": "2013-09-28",
31 "phone_purchase_date": "2013-08-28 14:13:36",
32 "deactivated": true,
33 "canceled": false,
34 "auto_charge": false,
35 "application_id": 1,
36 "application_name": "app1.myaccount191.voximplant.com",
37 "category_name": "GEOGRAPHIC",
38 "can_be_used": true,
39 "is_sms_supported": false,
40 "is_sms_enabled": false,
41 "emergency_calls_to_be_enabled": true,
42 "emergency_calls_enabled": true,
43 "subscription_id": 13,
44 "modified": "2021-12-10 07:20:12"
45 }
46 ],
47 "total_count": 4,
48 "count": 2
49}

Gets the account phone numbers.

Allowed roles: Owner, Admin, Developer, Supervisor, Accountant, Support, Payer.

Example request: Get two attached phone numbers.

Was this page helpful?
Previous

SetPhoneNumberInfo

Next

IsAccountPhoneNumber

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

phone_idlist of integersOptional
Particular phone ID to filter
phone_numberlist of stringsOptional

Phone number list separated by semicolons (;) that can be used instead of phone_id

activation_statuslist of stringsOptional

Phone number activation statuses to filter, separated by semicolons (;).

The possible values are: ACTIVE, ACTIVATING, DEACTIVATED, PROVISIONING, AWAITING_BUSINESS_PHONE_NUMBER_CONFIGURATION, LEGAL_OWNERSHIP_LIMIT_REACHED, GOSUSLUGI_DECLINED, SELF_BAN_ENABLED

application_idintegerOptional
Application ID
application_namestringOptional

Application name that can be used instead of application_id

is_bound_to_applicationbooleanOptional
Whether the phone number bound to an application
phone_templatestringOptional
Phone number start to filter
country_codelist of stringsOptional

Country code list separated by semicolons (;)

phone_category_namestringOptional

Phone category name. See the [GetPhoneNumberCategories] method

canceledbooleanOptional
Whether the subscription is cancelled to filter
deactivatedbooleanOptional
Whether the subscription is frozen to filter
auto_chargebooleanOptional

Whether the auto_charge flag is enabled

from_phone_next_renewalstringOptional

UTC ‘from’ date filter in the following format: YYYY-MM-DD

to_phone_next_renewalstringOptional

UTC ‘to’ date filter in the following format: YYYY-MM-DD

from_phone_purchase_datestringOptional

UTC ‘from’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

to_phone_purchase_datestringOptional

UTC ‘to’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

child_account_idlist of integersOptional

Child account ID list separated by semicolons (;). Use the ‘all’ value to select all child accounts

children_phones_onlybooleanOptionalDefaults to false
Whether to get the children phones only
verification_namestringOptional
Required account verification name to filter
verification_statuslist of stringsOptional

Account verification status list separated by semicolons (;). The following values are possible: REQUIRED, IN_PROGRESS, VERIFIED

from_unverified_hold_untilstringOptional

Unverified phone hold until the date (from …) in the following format: YYYY-MM-DD

to_unverified_hold_untilstringOptional

Unverified phone hold until the date (… to) in the following format: YYYY-MM-DD

can_be_usedbooleanOptional
Whether a not verified account can use the phone
order_bystringOptional
Following values are available: 'phone_number' (ascent order), 'phone_price' (ascent order), 'phone_country_code' (ascent order), 'deactivated' (deactivated first, active last), 'purchase_date' (descent order), 'phone_next_renewal' (ascent order), 'verification_status', 'unverified_hold_until' (ascent order), 'verification_name'
sandboxstringOptional

Flag allows you to display only the numbers of the sandbox, real numbers, or all numbers. The following values are possible: ‘all’, ‘true’, ‘false’

countintegerOptionalDefaults to 100
Maximum returning record count
offsetintegerOptionalDefaults to 0

First N records are skipped in the output

phone_region_namelist of stringsOptional

Region names list separated by semicolons (;)

rule_idlist of integersOptional

Rule ID list separated by semicolons (;)

rule_namelist of stringsOptional

Rule names list separated by semicolons (;). Can be used only if application_id or application_name is specified

is_bound_to_rulebooleanOptional
Whether the phone number is bound to some rule

Response

Successful response
resultlist of objects
Phone numbers info
total_countinteger
Total found phone count
countinteger
Returned phone count

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Following values are available: ‘phone_number’ (ascent order), ‘phone_price’ (ascent order), ‘phone_country_code’ (ascent order), ‘deactivated’ (deactivated first, active last), ‘purchase_date’ (descent order), ‘phone_next_renewal’ (ascent order), ‘verification_status’, ‘unverified_hold_until’ (ascent order), ‘verification_name’